EML - Bug #491

eml-coverage changes needed
05/01/2002 05:31 PM - Matt Jones

Status: Resolved Start date: 05/01/2002
Priority: Immediate Due date:

Assignee: Chris Jones % Done: 0%
Category: eml - general bugs Estimated time: 0.00 hour
Target version: EML2.0.0rcH Spent time: 0.00 hour
Bugzilla-ld: 491

Description

Changes as decided upon at the Sevilleta EML meeting, April 24-25, 2002:

Responsible: Chris

1) delete taxonomicKeywords element (it'll be handled in resource and mapped to

NBII)

2) delete multipleDatesTimes, make singelDateTime repeatable (again, can map to

NBII)

3) make "rangeOfDates" have content model (singleDateTime, singleDateTime)

4) make ComplexType for "Coverage" (+) which includes a CHOICE of elements for
temporalCoverage*, taxonomicCoverage*, geographicCoverage*

5) rename elements in geologicTimeScale to: alternativeTimeScale (timeScaleName,

timeScaleValue, timeScaleUncertainty, timeScaleExplanation, timeScaleCitation)

6) GeographicCov -- make bounding box require all four values (rather than two)

so that it defines a rectangle.

7) State indocumentaiton that places that have only a point location should put

identical coordinates in both corners of the bounding box (we decided NOT to add

a point location field)

8) make datasetGPolygonOuterRing be sequence of 3 or more points (rather than

the current one point -- | can't remember why we didn't choose to go with 4

based on peter's explanation of ring closure

Related issues:

Blocked by EML - Bug #480: eml-resource changes needed Resolved 05/01/2002

History

#1 - 05/01/2002 06:06 PM - Matt Jones

Forgot one:

9) Revise and complete documentation for all elements, especially for NBII/FGDC
fields

#2 - 05/07/2002 01:20 PM - Chris Jones

Removed keywordTaxon element and its children, taxonomicThesuarus and
taxonomicKeywords for both the .xsd and .dtd files. Taxonomic keywords will now
be handled in the eml-resource document, and will be mapped to the NBII standard
via XSL stylesheets.

#3 - 05/09/2002 08:39 PM - Chris Jones

Created the complexType 'Coverage', consisting of a choice of
‘temporalCoverage', 'geographicCoverage', or ' taxonomicCoverage', each of which
are requiried if chosen. The type is repeatable. Also, spelled out each

coverage element to follow convention (rather than shortened __ Cov)

#4 - 05/09/2002 09:27 PM - Chris Jones
Renamed elements in geologic time scale.

Made all four bounding box coordinates required, and explained the change in
thedocumentation to handle single point bounding areas.

Changed the content model to datasetGPolygonOuterRing to be a 3..n sequence.
This is a partial bug fix for bug 491: in that, structurally, the changes are
finished, but | still need to go through the documentation more closely.

#5 - 06/13/2002 06:55 PM - Matt Jones

Changes implemented. Need to review module for weird way in which citation is
imported after the betad release. Changing milestone.

#6 - 09/12/2002 01:43 PM - Matt Jones

Fixed citation imports so that they now use "cit"CitationType" instead of
incorrectly importing the "cit:citation" element. All coverage changes are in
CVS, so closing this bug. RESOLVED FIXED.

#7 - 03/27/2013 02:14 PM - Redmine Admin
Original Bugzilla ID was 491
